HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Create Charge

Creates a one-time charge on an account. Charges are not invoiced or collected immediately. Non-invoiced charges will automatically be invoiced when the account's subscription renews, or you trigger a collection by posting an invoice. Charges may be removed from an account if they have not been invoiced.

Consider using Purchases
Unless you need to separately create adjustments and invoice them later, prefer the Purchases instead and invoice them immediately, including the collection of a successful transaction for any balance.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Account's unique code.

Body Params
string
required

Currency, 3-letter ISO code.

string
required

Positive amount for a charge, negative amount for a credit. Max 10000000.

boolean
Defaults to false

Determines whether or not tax is included in the unit amount. The Tax Inclusive Pricing feature (separate from the Mixed Tax Pricing feature) must be enabled to use this flag.

integer
Defaults to 1

Quantity.

string

Description of the adjustment for the invoice.

string

Accounting code. Max of 20 characters.

string

Optional field for setting a revenue schedule type. This will determine how revenue for the associated Charge should be recognized. Available schedule types are never, at_range_start, at_invoice, and—if end_date is set—evenly and at_range_end.

boolean

true exempts tax on the charge, false applies tax on the charge. If not defined, then defaults to the Plan and Site settings. This attribute does not work for credits (negative adjustments). Credits are always post-tax. Pre-tax discounts should use the Coupons feature.

string
length ≤ 50

Optional field used by Avalara, Vertex, and Recurly's In-the-Box tax solution to determine taxation rules. You can pass in specific tax codes using any of these tax integrations. For Recurly's In-the-Box tax offering you can also choose to instead use simple values of unknown, physical, or digital tax codes.

date-time
Defaults to now

A timestamp associated with when the charge began.

date-time

A timestamp associated with when the charge ended.

string

The product code or SKU of the line item. Max of 50 characters. Useful for later reporting on product purchases.

string

The item_code for the item associated with the adjustment, if there is one. Associates the adjustment with an item and sets related attributes on the adjustment from the default values on the item. <description>, <product_code>, <accounting_code>, <tax_exempt> and <tax_code> are not accepted when <item_code> is present.

string
enum

Used by Vertex for tax calculations. Possible values are sale, rental, lease.

Allowed:
string
length ≤ 13

The ID of a general ledger account. General ledger accounts are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
length ≤ 13

The ID of a general ledger account. General ledger accounts are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
length ≤ 13

The ID of a performance obligation. Performance obligations are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
enum
Defaults to origin

The source of the address that will be used as the origin in determining taxes. Available only when the site is on an Elite plan. A value of "origin" refers to the "Business entity tax address". A value of "destination" refers to the "Customer tax address".

Allowed:
string
enum
Defaults to destination

The source of the address that will be used as the destinaion in determining taxes. Available only when the site is on an Elite plan. A value of "destination" refers to the "Customer tax address". A value of "origin" refers to the "Business entity tax address".

Allowed:
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml